## ichthux-konqueror-shortcuts 0.1-0ubuntu1

=== Makefile ===
#
# Makefile for Kubuntu Helpers
# (C) 2005 by Stephan Hermann <sh@sourcecode.de>
#
# Adapted for Ichthux 
# (C) 2006 by Raphaël Pinson <raphink@ichthux.com>

ifndef DESTDIR
DESTDIR=
endif

providers=	biblegateway.desktop \
		biiible.desktop \
		blueletterbible.desktop 

SERVICE_DIR=$(shell /usr/bin/kde-config --expandvars --install services)

SEARCHPROVIDERS:=$(SERVICE_DIR)/searchproviders

all: install

install: searchproviders

searchproviders: $(providers)

%.desktop: 
	@echo "Installing: $(DESTDIR)$(SEARCHPROVIDERS)/$@"
	install -D -m 644 searchproviders/$@ $(DESTDIR)$(SEARCHPROVIDERS)/$@

=== debian/changelog ===
ichthux-konqueror-shortcuts (0.1-0ubuntu1) edgy; urgency=low

  * Initial release, based on kubuntu-konqueror-shortcuts 

 -- Raphaël Pinson <raphink@ichthux.com>  Wed, 20 Sep 2006 10:04:16 +0200

=== debian/control ===
Source: ichthux-konqueror-shortcuts
Section: kde
Priority: optional
Maintainer: Raphaël Pinson <raphink@ichthux.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: ichthux-konqueror-shortcuts
Section: kde
Architecture: all
Recommends: konqueror
Description: Specific Konqueror shortcuts for Ichthux
 The shortcuts are:
  bgtw: BibleGateway.com Multilingual Search
  biiible: Biiible.com Bible Search
  blb: Blue Letter Bible Search

=== debian/rules ===
#!/usr/bin/make -f

build: 

clean: 
	dh_testdir
	dh_testroot
	dh_clean 

install: 
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/

binary-arch: binary-indep

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_install
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep 
.PHONY: clean binary-arch binary-indep install
